Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.antlr
[Java] Interface AntlrSourceVirtualDirectory

    public interface AntlrSourceVirtualDirectory

Contract for a Gradle "convention object" that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various source. Its implementation gets pushed onto the org.gradle.api.internal.DynamicObjectAware portion of the source set under the name 'antlr'.

Field Summary
`static String` | `NAME`

Method Summary
`AntlrSourceVirtualDirectory` | `antlr(Closure configureClosure)` Configures the Antlr source for this set.
`SourceDirectorySet` | `getAntlr()` All Antlr source for this source set.

Field Detail

### NAME

    public static final String NAME

Method Detail

### antlr

    public AntlrSourceVirtualDirectory antlr(Closure configureClosure)

  Configures the Antlr source for this set. The given closure is used to configure the `SourceDirectorySet` (see getAntlr) which contains the Antlr source.
  Parameters:
    `configureClosure` - The closure to use to configure the Antlr source.
  Returns:
    this

### getAntlr

    public SourceDirectorySet getAntlr()

  All Antlr source for this source set.
  Returns:
    The Antlr source. Never returns null.

Gradle API 1.10